package com.bonus.sgzb.base.domain;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="com.bonus.sgzb.base.domain.MaHouseSet")
public class MaHouseSet {
  /**
   * 主键Id
   */
  @ApiModelProperty(value="主键Id")
  private long id;
  /**
   * 仓库ID
   */
  @ApiModelProperty(value="仓库ID")
  private long houseId;

  @ApiModelProperty(value="仓库名称")
  private String houseName;
  /**
   * 机具类型ID
   */
  @ApiModelProperty(value= "机具类型ID")
  private long typeId;
  /**
   * 机具ID
   */
  @ApiModelProperty(value= "机具ID")
  private long maId;
  /**
   * 数量
   */
  @ApiModelProperty(value= "数量")
  private String num;
  /**
   * 帐号状态（0正常 1停用）
   */
  private String status;
  /**
   * 所属上级
   */
  @ApiModelProperty(value= "所属上级")
  private long deptId;
  /**
   * 删除标志（0代表存在 2代表删除）
   */

  private String delFlag;
  /**
   * 创建者
   */
  @ApiModelProperty(value= "创建者")
  private String createBy;
  /**
   * 创建时间
   */
  @ApiModelProperty(value= "创建时间")
  private java.sql.Timestamp createTime;
  /**
   * 更新者
   */
  @ApiModelProperty(value= "更新者")
  private String updateBy;
  /**
   * 更新时间
   */
  @ApiModelProperty(value= "更新时间")
  private java.sql.Timestamp updateTime;
  /**
   * 备注
   */
  @ApiModelProperty(value= "备注")
  private String remark;
  /**
   * 备注
   */
  @ApiModelProperty(value= "货架编号")
  private String shelfNum;
  /**
   * 数据所属组织
   */
  @ApiModelProperty(value= "数据所属组织")
  private String companyId;

  @ApiModelProperty(value = "规格型号")
  private String specificationType;

  @ApiModelProperty(value = "机具类型名称")
  private String machineTypeName;

  @ApiModelProperty(value = "物品种类")
  private String itemType;

  @ApiModelProperty(value = "设备编码")
  private String maCode;

  public long getId() {
    return id;
  }

  public void setId(long id) {
    this.id = id;
  }

  public long getHouseId() {
    return houseId;
  }

  public void setHouseId(long houseId) {
    this.houseId = houseId;
  }


  public long getTypeId() {
    return typeId;
  }

  public void setTypeId(long typeId) {
    this.typeId = typeId;
  }


  public long getMaId() {
    return maId;
  }

  public void setMaId(long maId) {
    this.maId = maId;
  }


  public String getNum() {
    return num;
  }

  public void setNum(String num) {
    this.num = num;
  }


  public String getStatus() {
    return status;
  }

  public void setStatus(String status) {
    this.status = status;
  }


  public long getDeptId() {
    return deptId;
  }

  public void setDeptId(long deptId) {
    this.deptId = deptId;
  }


  public String getDelFlag() {
    return delFlag;
  }

  public void setDelFlag(String delFlag) {
    this.delFlag = delFlag;
  }


  public String getCreateBy() {
    return createBy;
  }

  public void setCreateBy(String createBy) {
    this.createBy = createBy;
  }


  public java.sql.Timestamp getCreateTime() {
    return createTime;
  }

  public void setCreateTime(java.sql.Timestamp createTime) {
    this.createTime = createTime;
  }


  public String getUpdateBy() {
    return updateBy;
  }

  public void setUpdateBy(String updateBy) {
    this.updateBy = updateBy;
  }


  public java.sql.Timestamp getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(java.sql.Timestamp updateTime) {
    this.updateTime = updateTime;
  }


  public String getRemark() {
    return remark;
  }

  public void setRemark(String remark) {
    this.remark = remark;
  }


  public String getCompanyId() {
    return companyId;
  }

  public void setCompanyId(String companyId) {
    this.companyId = companyId;
  }

  public String getShelfNum() {
    return shelfNum;
  }

  public void setShelfNum(String shelfNum) {
    this.shelfNum = shelfNum;
  }

  public String getSpecificationType() {
    return specificationType;
  }

  public void setSpecificationType(String specificationType) {
    this.specificationType = specificationType;
  }

  public String getMachineTypeName() {
    return machineTypeName;
  }

  public void setMachineTypeName(String machineTypeName) {
    this.machineTypeName = machineTypeName;
  }

  public String getItemType() {
    return itemType;
  }

  public void setItemType(String itemType) {
    this.itemType = itemType;
  }

  public String getMaCode() {
    return maCode;
  }

  public void setMaCode(String maCode) {
    this.maCode = maCode;
  }

  public String getHouseName() {
    return houseName;
  }

  public void setHouseName(String houseName) {
    this.houseName = houseName;
  }
}
